Holger's Java API

## com.antelmann.sql
Class NotCondition

    java.lang.Object
      com.antelmann.sql.NotCondition

All Implemented Interfaces:
  SQLConstraint, Serializable

    public class NotCondition

extends Object
implements SQLConstraint

negates the given value for generating a where clause; the value may be an Object array or a LikeCondition or any value.

Author:
  Holger Antelmann
See Also:
  `LikeCondition`, `ConnectionHelper`, Serialized Form

Field Summary

Fields inherited from interface com.antelmann.sql.SQLConstraint
`IS_NULL, NOT_NULL`

Constructor Summary
`NotCondition(Object value)`

Method Summary
`Object` `getValue()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotCondition

    public NotCondition(Object value)

Parameters:
  `value` - the value that is to be negated by the query string

Method Detail

### getValue

    public Object getValue()

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads